<?php

function spa_parlor_enqueue_fonts() {
    $spa_parlor_default_font_content = 'inter';
    $spa_parlor_default_font_heading = 'inter';

    $spa_parlor_font_content = esc_attr(get_theme_mod('spa_parlor_content_typography_font', $spa_parlor_default_font_content));
    $spa_parlor_font_heading = esc_attr(get_theme_mod('spa_parlor_heading_typography_font', $spa_parlor_default_font_heading));

    $spa_parlor_css = '';

    // Always enqueue main font
    $spa_parlor_css .= '
    :root {
        --font-main: ' . $spa_parlor_font_content . ', ' . (in_array($spa_parlor_font_content, ['bitter', 'charis-sil']) ? 'serif' : 'sans-serif') . ' !important;
    }';
    wp_enqueue_style('spa-parlor-style-font-general', get_template_directory_uri() . '/fonts/' . $spa_parlor_font_content . '/font.css');

    // Always enqueue header font
    $spa_parlor_css .= '
    :root {
        --font-head: ' . $spa_parlor_font_heading . ', ' . (in_array($spa_parlor_font_heading, ['bitter', 'charis-sil']) ? 'serif' : 'serif ') . ' !important;
    }';
    wp_enqueue_style('spa-parlor-style-font-h', get_template_directory_uri() . '/fonts/' . $spa_parlor_font_heading . '/font.css');

    // Add inline style
    wp_add_inline_style('spa-parlor-style-font-general', $spa_parlor_css);
}
add_action('wp_enqueue_scripts', 'spa_parlor_enqueue_fonts', 50);